<template>
    <v-data-table
            :headers="headers"
            :items="files"
            :single-expand="singleExpand"
            :expanded.sync="expanded"
            item-key="id"
            show-expand
            class="elevation-1"
    >
        <template v-slot:top>
            <v-toolbar flat>
                <v-toolbar-title>Uploaded files</v-toolbar-title>
                <v-spacer></v-spacer>
            </v-toolbar>
        </template>
        <template v-slot:expanded-item="{ headers, item }">
            <tr>
                <td :colspan="headers.length"></td>
                <td :colspan="headers.length"><strong>Output format: </strong> {{ item.outputFormat }}</td>
            </tr>
        </template>
    </v-data-table>
</template>

<script>
    import {getMyFiles} from "../../util/api-provider";
    import moment from "moment";

    export default {
        data () {
            return {
                expanded: [],
                singleExpand: false,
                headers: [
                    {
                        text: 'ID',
                        align: 'start',
                        sortable: false,
                        value: 'id',
                    },
                    { text: 'File name', value: 'originalFile' },
                    { text: 'ContentId', value: 'contentId' },
                    { text: 'Date uploaded', value: 'dateUploaded' },
                    { text: 'Date converted', value: 'dateConverted' },
                    { text: 'Uploaded by service', value: 'storedByService' },
                    { text: 'Converted by service', value: 'convertedByService' },
                    { text: '', value: 'data-table-expand' },
                ],
                files: [

                ],
            }
        },
        created() {
            getMyFiles().then(response =>{
                console.log(response.data)
                this.files = response.data.map(value =>{
                    value.dateConverted = this.formatDate(value.dateConverted)
                    value.dateUploaded = this.formatDate(value.dateUploaded)
                    value.originalFile = value.originalFile.substring(9)
                    return value
                })
                console.log(this.files)
            })
        },
        methods: {
            formatDate: function (value) {
                if (value) {
                    var date = Date.parse(value);
                    return moment(date).format('MM/DD/YYYY hh:mm:ss')
                }
                return value
            }
        }
    }
</script>